package com.ssj.bean.kmt.kmt.domain;

import com.ssj.bean.common.framework.core.domain.BaseEntity;

import javax.persistence.Entity;
import javax.persistence.Table;
import java.util.Date;


@Entity
@Table(name = "kmt_arrange_template")
public class KmtArrangeTemplate  extends BaseEntity {

	private static final long serialVersionUID = 1L;

    private String startInterval;
    
    private String endInterval;
    
    private Double workRatio;
    
    private Double weekendRatio;//批改老师
    
    private Integer averageNum;//批改老师

    private Double knowWorkRatio;//知识点老师

    private Double knowWeekendRatio;//知识点老师

    private Integer knowAverageNum;//知识点老师

    private Integer activeNum;

    private Integer status;
        
    private Date createTime;
    
    private Date updateTime;
    
	public String getStartInterval() {
		return startInterval;
	}

	public void setStartInterval(String startInterval) {
		this.startInterval = startInterval;
	}

	public String getEndInterval() {
		return endInterval;
	}

	public void setEndInterval(String endInterval) {
		this.endInterval = endInterval;
	}

	public Double getWorkRatio() {
		return workRatio;
	}

	public void setWorkRatio(Double workRatio) {
		this.workRatio = workRatio;
	}

	public Double getWeekendRatio() {
		return weekendRatio;
	}

	public void setWeekendRatio(Double weekendRatio) {
		this.weekendRatio = weekendRatio;
	}

	public Integer getActiveNum() {
		return activeNum;
	}

	public void setActiveNum(Integer activeNum) {
		this.activeNum = activeNum;
	}

	public Integer getStatus() {
		return status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

	public Date getCreateTime() {
		return createTime;
	}

	public void setCreateTime(Date createTime) {
		this.createTime = createTime;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}

	public Integer getAverageNum() {
		return averageNum;
	}

	public void setAverageNum(Integer averageNum) {
		this.averageNum = averageNum;
	}

	public Double getKnowWorkRatio() {
		return knowWorkRatio;
	}

	public void setKnowWorkRatio(Double knowWorkRatio) {
		this.knowWorkRatio = knowWorkRatio;
	}

	public Double getKnowWeekendRatio() {
		return knowWeekendRatio;
	}

	public void setKnowWeekendRatio(Double knowWeekendRatio) {
		this.knowWeekendRatio = knowWeekendRatio;
	}

	public Integer getKnowAverageNum() {
		return knowAverageNum;
	}

	public void setKnowAverageNum(Integer knowAverageNum) {
		this.knowAverageNum = knowAverageNum;
	}





}
